if IsAddOnLoaded("ElvUI") then

local E, L, P, G = unpack(ElvUI)
local A = E:GetModule('Auras') 

function A:UpdateTime(elapsed)
	if(self.offset) then
		local expiration = select(self.offset, GetWeaponEnchantInfo())
		if(expiration) then
			self.timeLeft = expiration / 1e3
		else
			self.timeLeft = 0
		end
	else
		self.timeLeft = self.timeLeft - elapsed
	end

	if(self.nextUpdate > 0) then
		self.nextUpdate = self.nextUpdate - elapsed
		return
	end

	local timerValue, formatID
	timerValue, formatID, self.nextUpdate = E:GetTimeInfo(self.timeLeft, A.db.fadeThreshold)
	local mins, secs, string
	hrs  = math.floor(self.timeLeft/3600)
	minsbase = math.floor(math.fmod(self.timeLeft, 3600)/60)
	mins = minsbase
	secs = math.floor(math.fmod(self.timeLeft, 60))
	if mins <= 9 and hrs > 0 then mins = ("0" .. minsbase) end
	if secs <= 9 then secs = ("0" .. secs) end
	if hrs >= 1 then
		string = hrs .. ":" .. mins .. ":" .. secs
	elseif minsbase >= 1 then
		string = mins .. ":" .. secs
	else
		string = secs .. "s"
	end
	if self.timeLeft < A.db.fadeThreshold  then
	self.time:SetFormattedText(("%s%s|r"):format(E.TimeColors[formatID], E.TimeFormats[formatID][1]), timerValue)
	else
	self.time:SetFormattedText(string)
	end

	if self.timeLeft > E.db.auras.fadeThreshold then
		E:StopFlash(self)
	else
		E:Flash(self, 1)
	end
end

end
